## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# F35: Do not update past 2.6.1. F35's protobuf is too old.

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-iam
%global         forgeurl    https://github.com/googleapis/python-iam
Version:        2.8.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google IAM API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Manages identity and access control for Google Cloud Platform resources,
including the creation of service accounts, which you can use to authenticate
to Google and make API calls.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# Remove unneeded executable.
rm -f %{buildroot}/%{_bindir}/fixup_iam_credentials_v1_keywords.py

%pyproject_save_files google


%check
# iamcredentials does an unusual import of protobuf and doesn't look like it
# should be imported directly.
%pyproject_check_import -e google.cloud.iam_credentials_v1.types.iamcredentials

%if %{with tests}
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md UPGRADING.md
%{python3_sitelib}/google_cloud_iam-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Jul 25 2022 fkolwa <fkolwa@redhat.com> 2.8.1-1
- Update to 2.8.1 rhbz#2107232

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 2.7.0-1
- Update to 2.7.0

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 2.6.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.6.2-1
- Update to 2.6.2

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 2.6.1-1
- Update to 2.6.1

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 2.6.0-1
- Update to 2.6.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 2.5.1-1
- Update to 2.5.1

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> 2.5.0-1
- Update to 2.5.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 2.4.0-1
- Update to 2.4.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 2.3.2-1
- Update to 2.3.2

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> 2.3.1-3
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> 2.3.1-2
- Move to rpmautospec

* Tue Jul 27 2021 Major Hayden <major@mhtx.net> 2.3.1-1
- Update to 2.3.1

* Sun Jul 25 2021 Major Hayden <major@mhtx.net> 2.3.0-3
- Fix typo

* Sun Jul 25 2021 Major Hayden <major@mhtx.net> 2.3.0-2
- Update README

* Sun Jul 25 2021 Major Hayden <major@mhtx.net> 2.3.0-1
- Initial import (#1982801)
